from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import DisplayList

from Products.InventoryBuilder.Widgets import *

register_category = 1

use_postgresql = 0
use_mysql = 0

# LinguaPlone support?
try:
    from Products.LinguaPlone.public import registerType
except ImportError:
    HAS_LINGUA_PLONE = False
else:
    HAS_LINGUA_PLONE = True
    del registerType

# Product dependencies
DEPENDENCIES = (
    'Archetypes',
    'ATSchemaEditorNG',
    'DataGridField',
    )

# Product security permissions
EDIT_PERMISSION = CMFCorePermissions.ModifyPortalContent
VIEW_PERMISSION = CMFCorePermissions.View

DEFAULT_ALLOWED_HTML_TAGS = ('b', 'strong', 'p', 'img', 'a', 'br', 'i')    

class InventoryBuilderError(Exception): pass

VOC_ALLOWED_TYPES = DisplayList((
    ('InventoryBuilder Item', 'InventoryBuilder Item'),
    ))

VOC_HELP_POSITIONS = DisplayList((
    ('top', 'Top', 'inventorybuilder_top'),
    ('bottom', 'Bottom', 'inventorybuilder_bottom'),
    ))

VOC_LISTING_COLUMNS = ('title', )
VOC_DISPLAY_IMAGES = DisplayList()
