from Products.CMFPlone.CustomizationPolicy import DefaultCustomizationPolicy
from Products.CMFPlone.Portal import addPolicy

class InventoryBuilderCustomizationPolicy(DefaultCustomizationPolicy):
    """ Make a custom Plone for InventoryBuilder """

    def customize(self, portal):
        DefaultCustomizationPolicy.customize(self, portal)
        portal.portal_quickinstaller.installProduct("ATSchemaEditorNG")
        portal.portal_quickinstaller.installProduct("DataGridField")
        portal.portal_quickinstaller.installProduct("InventoryBuilder")

def register(context):
    addPolicy('InventoryBuilder', InventoryBuilderCustomizationPolicy())
