from Products.CMFCore.utils import getToolByName
from Products.ExternalMethod.ExternalMethod import ExternalMethod

def installWorkflows(self, package, out):
    """Install the custom workflows for this product.
    """

    productname = 'InventoryBuilder'
    workflowTool = getToolByName(self, 'portal_workflow')

    ourProductWorkflow = ExternalMethod('temp',
                         'temp',
                         productname+'.'+'InventoryBuilder_workflow',
                         'createInventoryBuilder_workflow')
    workflow = ourProductWorkflow(self, 'InventoryBuilder_workflow')
    workflowTool._setObject('InventoryBuilder_workflow', workflow)
    workflowTool.setChainForPortalTypes(['InventoryBuilder'], workflow.getId())
    ourProductWorkflow = ExternalMethod('temp',
                         'temp',
                         productname+'.'+'IBCategory_workflow',
                         'createIBCategory_workflow')
    workflow = ourProductWorkflow(self, 'IBCategory_workflow')
    workflowTool._setObject('IBCategory_workflow', workflow)
    workflowTool.setChainForPortalTypes(['IBCategory'], workflow.getId())
    ourProductWorkflow = ExternalMethod('temp',
                         'temp',
                         productname+'.'+'IBItem_workflow',
                         'createIBItem_workflow')
    workflow = ourProductWorkflow(self, 'IBItem_workflow')
    workflowTool._setObject('IBItem_workflow', workflow)
    workflowTool.setChainForPortalTypes(['IBItem'], workflow.getId())

    return workflowTool
