## Script (Python) "createIBItem"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=new_id=None,type_name='IBItem',target_category=None, script_id=None
##title=Create Item in the inventorybuilder container.

# This script must be called in the IBCategory context or take
# value for argument 'target_category'!

category = context.restrictedTraverse(target_category) or context

if context.portal_type not in ('IBCategory') and category == None:
    raise Exception

from DateTime import DateTime
from Products.CMFPlone import transaction_note
REQUEST=context.REQUEST
portal_status_message = None

if type_name is None:
    raise Exception, 'Type name not specified.'

if new_id is None:
    new_id=context.generateUniqueId(type_name)

inventorybuilder = context.getParentInventoryBuilder()
new_url = inventorybuilder.createObject(id=new_id, type_name=type_name)
new_context=getattr(inventorybuilder, new_id)
new_context.addToCategory(category)

if new_context is None:
    raise Exception
else:
    portal_status_message = context.translate(msgid='bz_item_created', domain='InventoryBuilder', default='InventoryBuilder item created.')

context.REQUEST.RESPONSE.redirect(new_url)
