## Script (Python) "updateCategories"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=categories=[]
##title=
##
at = context.archetype_tool
old_uids = [obj.UID() for obj in context.listCategories()]
# add the checked categories
for c in [at.getObject(uid) for uid in categories if uid not in old_uids]:
  context.addToCategory(c)
  context.reindexObject(('listCategoryIds'))  # reindex due to list of categories stored in portal_catalog
# remove the unchecked categories
uids_delete = [uid for uid in old_uids if uid not in categories]
for c in [at.getObject(uid) for uid in uids_delete]:
  context.removeFromCategory(c)
  context.reindexObject(('listCategoryIds'))  # reindex due to list of categories stored in portal_catalog
msg = 'portal_status_message=Categories Updated.'
return context.REQUEST.RESPONSE.redirect('%s/%s?%s' % (context.absolute_url(),
                                                       context.getTypeInfo().getActionById('view'), msg))
