## Script (Python) "updateItems"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=items=[]
##title=
##


request = context.REQUEST

if (request.get('form_cancel', None)):
  msg = 'portal_status_message=No changed made.'
  return request.RESPONSE.redirect('%s/%s?%s' % (context.absolute_url(),
                                                 context.getTypeInfo().getActionById('view'), msg))
else:
  at = context.archetype_tool
  old_uids = [obj.UID() for obj in context.getContents()]
  
  # remove the checked items from category (initially are all items unchecked)
  uids_delete = [uid for uid in old_uids if uid in items]

  if not uids_delete:
    msg = 'portal_status_message=You have to select which items to remove from category.'
    return request.RESPONSE.redirect('%s/inventorybuilder_items?%s' % (context.absolute_url(), msg))

  else:
    for c in [at.getObject(uid) for uid in uids_delete]:
      c.removeFromCategory(context)
      c.reindexObject(('listCategoryIds'))  # reindex due to list of categories stored in portal_catalog
    
    msg = 'portal_status_message=%s items removed from this category.' % len(uids_delete)
    return request.RESPONSE.redirect('%s/%s?%s' % (context.absolute_url(),
                                                   context.getTypeInfo().getActionById('view'), msg))
