# File: IBImage.py
# 
# Copyright (c) 2005 by Copyright (c) 2005 SureCase.org Team.
# Generator: ArchGenXML Version 1.4.0-RC2 svn/development 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Radim Novotny <info@surecase.org>, Lukas Zdych <unknown>'''
__docformat__ = 'plaintext'


from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.ATContentTypes.content.image import ATImage


from Products.InventoryBuilder.config import *
##code-section module-header #fill in your manual code here
##/code-section module-header

schema=Schema((
),
)


##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

IBImage_schema = getattr(ATImage,'schema',Schema(())) + \
    schema

##code-section after-schema #fill in your manual code here
IBImage_schema['relatedItems'].schemata='metadata'
IBImage_schema['allowDiscussion'].schemata='metadata'
##/code-section after-schema

class IBImage(ATImage):
    security = ClassSecurityInfo()
    __implements__ = (getattr(ATImage,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'Image'

    meta_type                  = 'IBImage'
    portal_type                = 'IBImage'
    allowed_content_types      = [] + list(getattr(ATImage, 'allowed_content_types', []))
    filter_content_types       = 0
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'IBImage.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    suppl_views                = ()
    typeDescription            = "Image"
    typeDescMsgId              = 'description_edit_ibimage'

    schema = IBImage_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    #Methods

registerType(IBImage,PROJECTNAME)
# end of class IBImage

##code-section module-footer #fill in your manual code here
##/code-section module-footer



